#include <bits/stdc++.h>
using namespace std;

int MaxofArr(int arr[], int size, int idx)
{
	// Base case
	if(idx == size - 1)
	{
		return arr[idx];
	}
	
	// Recursive call
	int misa = MaxofArr(arr, size, idx + 1);
	
	// Comparing index of arr + 1 to others index
	if(misa > arr[idx])
	{
		return misa;
	}
	else 
	{
		return arr[idx];
	}
}

int main()
{
	int n;
	cin>>n;
	int arr[n];
	int length = sizeof(arr)/sizeof(arr[0]);
	for(int i = 0; i < length; i++)
	{
		cin>>arr[i];
	}
	
	int max = MaxofArr(arr, length, 0);
	cout<<max<<endl;
}
